Description

I'd recommend avoiding the use of "data table" in a generic sense when actually referring to a data.frame. This is because

data.table's are a new type of R object defined in the data.table package. It provides a faster way to deal with bigger data and

queries mimic sql (without needing sql). R users familiar with this will definitely get confused. I'd recommend switching these terms to

data frames so the terminology remains consistent.

message() is better than print() because the former can be suppressed with suppresspackageMessages() while the latter cannot.

Subtasks:

Task # 3542: rename methods beginning with dataTable Closed

Task # 3543: adjust documentation to match S4 expectations Closed

Task # 3544: replace prints with messages where appropriate Closed

History

#1 - 2013-01-31 22:54 - Rob Nahf

- Status changed from New to In Progress

#2 - 2013-02-22 18:46 - Matthew Jones

- Start date deleted (2013-01-31)

- Project changed from Infrastructure to DataONE R Client

- Due date deleted (2013-01-31)

- Category deleted (d1_client_r)

- Target version deleted (2013.2-Block.1.1)

#3 - 2013-03-01 22:15 - Rob Nahf

- Status changed from In Progress to Closed

all tasks closed.  Can close the story

#4 - 2013-03-01 22:22 - Rob Nahf

- Start date set to 2013-03-01

- Target version set to DataONE R Client 1.0.0

- Due date set to 2013-03-01
